Subject: bug#47254: 28.0.50; Minibuffer does not clear question even after the corresponding process has exited

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Mar 2021 08:55:29 +0200

> From: Arunesh Pandey Gmail <[email-masked]>
> Date: Thu, 18 Mar 2021 19:20:31 -0700
> 
> However, every once in a while, this message *sticks* to the
> minibuffer. Meaning, there is no way to get rid of it. When I try to
> answer `y` or `n` to this question, I get the following error:
> 
> ```process-kill-buffer-query-function: Selecting deleted buffer```

When this happens, not even C-g or C-] help?

> I think what is going on here is, `mu4e` is starting a new transient
> buffer `*mu4e-update*` when it tries to fetch new email. Emacs (or some
> other process) tries to kill this buffer _while_ the update process is
> running, so Emacs shows the warning. Later, the update operation
> succeeds, the process returns, the buffer is cleaned up, but the
> minibuffer prompt asking for confirmation is never cleared up. There is
> no way to clean it up as well. I do not see it in the `*Messages*`
> buffer. There is no additional buffer in the output of C-x C-b.

Are you able to select the minibuffer, e.g. with "C-x o" one or more
times, or by clicking the mouse inside the mini-window?  If you do
succeed to enter the minibuffer, can you _then_ get rid of the prompt
by either answering y/n or by C-g or C-] ?

Thanks.